# Pay Requests

## Create a pay request

 - [POST /pay-terminal/requests](https://docs.connect.tyro.com/api-explorer/pay-in-person/0.9/pay-requests/create-pay-terminal-request.md): This endpoint is used for creating a Pay Request. Your server should create a Pay Request as soon as the total payment amount is known. Once the Pay Request is created, given the terminal is not busy, or offline, the process to pay will be initialised.

## Retrieve a pay request

 - [GET /pay-terminal/requests/{payRequestId}](https://docs.connect.tyro.com/api-explorer/pay-in-person/0.9/pay-requests/get-pay-terminal-request.md): This endpoint is for fetching Pay Requests.

## Answer a terminal prompt

 - [PUT /pay-terminal/requests/{payRequestId}](https://docs.connect.tyro.com/api-explorer/pay-in-person/0.9/pay-requests/answer-pay-terminal-prompt.md): An async endpoint used for attempting to answer a pending decision prompt on a terminal. The decisionId & answer is returned by the payRequest in the pendingDecision object, and is required to differentiate prompt messages. There is no result to acknowledge that this decision was received by the terminal.

## Cancel a pay request

 - [DELETE /pay-terminal/requests/{payRequestId}](https://docs.connect.tyro.com/api-explorer/pay-in-person/0.9/pay-requests/cancel-pay-terminal-request.md): An async endpoint used for attempting to cancel a pending decision prompt on a terminal. There is no result to acknowledge that this cancellation was processed by the terminal. If the transaction is already in a fully processed state, this call will be rejected.

